GET /shows/{id}/progress/collection
Operation ID: Get show collection progress
Auth: unknown
Description
#### 🔒 OAuth Required Returns collection progress for a show including details on all aired seasons and episodes. The `next_episode` will be the next episode the user should collect, if there are no upcoming episodes it will be set to `null`. By default, any hidden seasons will be removed from the response and stats. To include these and adjust the completion stats, set the `hidden` flag to `true`. By default, specials will be excluded from the response. Set the `specials` flag to `true` to include season 0 and adjust the stats accordingly. If you'd like to include specials, but not adjust the stats, set `count_specials` to `false`. By default, the `last_episode` and `next_episode` are calculated using the last `aired` episode the user has collected, even if they've collected older episodes more recently. To use their last collected episode for these calculations, set the `last_activity` flag to `collected`. **Note:** Only aired episodes are used to calculate progress. Episodes in the future or without an air date are ignored.
Parameters (6)
(string, query, optional)
count specials in the overall stats (only applies if specials are included)
(string, query, optional)
include any hidden seasons
(string, path, required)
Trakt ID, Trakt slug, or IMDB ID
(string, query, optional)
include specials as season 0
(string, header, optional)
e.g. [client_id]
(string, header, optional)
e.g. 2
No probe data for this endpoint yet.